Subject: Re: [PATCH] Remove shell dependency in env.c

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 15 Sep 2005 09:30:54 -0700

Junio C Hamano wrote:
> "H. Peter Anvin" <[email-masked]> writes:
> 
> 
>>This patch adds an invocation of "env", so rsh.c works for C-shell users 
>>as well as Bourne shell users.
> 
> 
> Hmph.  I think the original code is buggy already.  If the path
> has a single quote in it, you would get into a problem.  If the
> remote end first interprets what is given to it with C-shell,
> then it probably would also barf if path had a '!' in it, too,
> even though we quote the entire thing within a single-quote
> pair.

True.  The better method is to \-escape any questionable characters, 
instead of trying to use quotes.  I'll try to write that up.

	-hpa